Bug 584958 - Shutdown from KDE kickoff menu does not work
Summary: Shutdown from KDE kickoff menu does not work
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
(Show other bugs)
Version: 13
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-22 19:27 UTC by E.Patton
Modified: 2010-05-26 20:08 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 20:08:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description E.Patton 2010-04-22 19:27:20 UTC
Description of problem:

Nothing happens when I select Leave-> and one of Logoff, Restart or Shutdown from the Kickoff menu.


Version-Release number of selected component (if applicable):


kdebase.i686                           6:4.4.2-1.fc13           @fedora         
kdebase-libs.i686                      6:4.4.2-1.fc13           @fedora         
kdebase-runtime.i686                   4.4.2-2.fc13             @fedora         
kdebase-runtime-libs.i686              4.4.2-2.fc13             @fedora         

xorg-x11-server-Xorg.i686              1.8.0-7.fc13             @updates-testing
xorg-x11-server-common.i686            1.8.0-7.fc13             @updates-testing

The system was fully updated as of 1920 (UTC+1) 22 April 2010 bar some broken gnome icon dependencies. 

How reproducible:

Every time.

Steps to Reproduce:
1.select Leave-> and one of Logoff, Restart or Shutdown from the Kickoff menu.
2.
3.
  
Actual results:

Nothing happens. I can continue to use the desktop, launch new applications etc.

Expected results:

Confirmation dialogue followed by shutdown, restart or logoff happening.


Additional info:

No output from a tail of /var/log/messages and .xsession-errors when performing menu actions.

System is an Asus eeePC1000. External Logitech mouse. 

Behaviour for Sleep, Hibernate etc. will be reported in next comment. Started this report before I realised I hadn't tested them - don't want to lose the report if they work, :)

Comment 1 E.Patton 2010-04-22 19:36:36 UTC
The Lock, Switch user, Sleep and Hibernate options are all functioning properly.

Comment 2 E.Patton 2010-04-22 20:22:23 UTC
From a graphical login as root (I use KDM), the logout option works, I repeated this (as that was the first time I had performed a graphical login as root) a couple of time (including reboots) and had no problem with that account.

On my default account, I once managed to get the logout confirmation dialogue by confirming the logout action caused the dialogue to disappear and nothing else happened. Otherwise normal desktop operation was possible.

Comment 3 E.Patton 2010-05-26 20:03:50 UTC
I have corrected the error by dint of deleting the account's .kde directory. 

Unfortunately, this means that I can no longer provide any further information regarding the error.

I suggest closing the bug report although I think there is an underlying issue (e.g. https://bugzilla.redhat.com/show_bug.cgi?id=581780 looks very similar) but at the moment I can no longer reproduce it. I assume that the issue can be re-opened if the problem re-occurs?

Comment 4 Kevin Kofler 2010-05-26 20:08:16 UTC
Yes, it can be reopened if somebody can reproduce it.


Note You need to log in before you can comment on or make changes to this bug.